<template>
	<v-list-item two-line color="primary" class="group-list-item" :ripple="false" :to="groupLink">
		<v-list-item-content>
			<v-list-item-title class="text-h5 mb-1">
				{{ group.name }}
			</v-list-item-title>
			<v-list-item-subtitle
				>{{ group.children.length === 0 ? 'No' : group.children.length }}
				{{ group.children.length === 1 ? 'subgroup' : 'subgroups' }}
			</v-list-item-subtitle>
		</v-list-item-content>
		<v-list-item-action>
			<v-btn class="my-auto" rounded :to="groupLink">Open</v-btn>
		</v-list-item-action>
	</v-list-item>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api';
import { Group } from '@/store/types';

export default defineComponent({
	components: {},
	props: {
		group: {
			type: Object as () => Group,
			required: true,
		},
	},
	setup({ group }) {
		const groupLink = `/groups/${group.id}`;

		return {
			groupLink,
		};
	},
});
</script>

<style lang="scss">
.group-list-item + .group-list-item {
	border-top-style: solid;
	border-top-width: 1px;
	border-top-color: #ccc;
}
</style>
